Scala Compiler2.13.0 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package reporters
  Definition Classes
    nsc
- AbstractReporter
- ConsoleReporter
- CountingReporter
- DefaultReporter
- DisplayReporter
- Filtering
- FilteringReporter
- LimitFilter
- NoReporter
- PositionFilter
- PositionFiltering
- PrintReporter
- Reporter
- StoreReporter
- SummaryReporter

c

scala.tools.nsc.reporters

# Reporter

###
Companion object Reporter

#### abstract class Reporter extends reflect.internal.Reporter

Report information, warnings and errors.

This describes the internal interface for issuing information, warnings and errors. The only abstract method in this class must be info0.

TODO: Move external clients (sbt/ide) to reflect.internal.Reporter, and remove this class.

Annotations
  @deprecated
Deprecated

  (Since version 2.13.0) Use reflect.internal.Reporter

Source
  Reporter.scala

Linear Supertypes
reflect.internal.Reporter, AnyRef, Any
Known Subclasses
ScalaDocReporter, ReplReporter, ConsoleReporter, NoReporter, AdaptedReporter, LimitingReporter, StoreReporter, AbstractReporter
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Reporter
2. Reporter
3. AnyRef
4. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new Reporter()

### Type Members

1.  class Severity extends AnyRef
   Definition Classes
     Reporter

### Abstract Value Members

1.  abstract def info0(pos: Position, msg: String, severity: Severity, force: Boolean): Unit
   Attributes
     protected
   Definition Classes
     Reporter

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from Reporter toany2stringadd[Reporter] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (Reporter, B)
   Implicit
     This member is added by an implicit conversion from Reporter toArrowAssoc[Reporter] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  var cancelled: Boolean
8.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
9.  def comment(pos: Position, msg: String): Unit
10.  def count(severity: Severity): Int
    Definition Classes
      Reporter
11.  def echo(pos: Position, msg: String): Unit
    Definition Classes
      Reporter
12.  def echo(msg: String): Unit
    Definition Classes
      Reporter
13.  def ensuring(cond: (Reporter) => Boolean, msg: => Any): Reporter
    Implicit
      This member is added by an implicit conversion from Reporter toEnsuring[Reporter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
14.  def ensuring(cond: (Reporter) => Boolean): Reporter
    Implicit
      This member is added by an implicit conversion from Reporter toEnsuring[Reporter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
15.  def ensuring(cond: Boolean, msg: => Any): Reporter
    Implicit
      This member is added by an implicit conversion from Reporter toEnsuring[Reporter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
16.  def ensuring(cond: Boolean): Reporter
    Implicit
      This member is added by an implicit conversion from Reporter toEnsuring[Reporter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
17.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
18.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
19.  def error(pos: Position, msg: String): Unit
    Definition Classes
      Reporter
20.  def errorCount: Int
    Definition Classes
      Reporter
21.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
22.  def finish(): Unit
    Definition Classes
      Reporter
23.  def flush(): Unit
    Definition Classes
      Reporter
24.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from Reporter toStringFormat[Reporter] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
25.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
26.  def hasErrors: Boolean
    Definition Classes
      Reporter → Reporter
27.  def hasWarnings: Boolean
    Definition Classes
      Reporter
28.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
29.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
30.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
31.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
32.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
33.  def rerunWithDetails(setting: Setting, name: String): String
    Definition Classes
      Reporter
34.  def reset(): Unit
    Definition Classes
      Reporter → Reporter
35.  def resetCount(severity: Severity): Unit
    Definition Classes
      Reporter
36.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
37.  def toString(): String
    Definition Classes
      AnyRef → Any
38.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
39.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
40.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
41.  def warning(pos: Position, msg: String): Unit
    Definition Classes
      Reporter
42.  def warningCount: Int
    Definition Classes
      Reporter
43.  object ERROR extends Severity
    Definition Classes
      Reporter
44.  object INFO extends Severity
    Definition Classes
      Reporter
45.  object WARNING extends Severity
    Definition Classes
      Reporter

### Deprecated Value Members

1.  final def info(pos: Position, msg: String, force: Boolean): Unit

   Informational messages.

   Informational messages. If `!force`, they may be suppressed.

   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use echo, as internal.Reporter does not support unforced info

2.  def →[B](y: B): (Reporter, B)
   Implicit
     This member is added by an implicit conversion from Reporter toArrowAssoc[Reporter] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from reflect.internal.Reporter

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromReporter to any2stringadd[Reporter]

### Inherited by implicit conversion StringFormat fromReporter to StringFormat[Reporter]

### Inherited by implicit conversion Ensuring fromReporter to Ensuring[Reporter]

### Inherited by implicit conversion ArrowAssoc fromReporter to ArrowAssoc[Reporter]

### Ungrouped